Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh_example1
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh_example1	(revision 4513)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh_example1	(revision 4514)
@@ -26,7 +26,7 @@
 SAXO_DIR=/Users/sflod/SAXO_DIR
 #
-DIR_DATA=/Users/sflod/idl_PLOTS/DATA_STORE/RUN_CLIMATO/lim3_ada      # path of data in NetCDF format
-DIR_CLIMATO=/Users/sflod/idl_PLOTS/CLIMATOLOGIES    # path of climatological data
-DIR_MASK=/Users/sflod/idl_PLOTS/MASK  # path of mask files (ex: subbasins)
+DIR_DATA=~/idl_PLOTS/DATA_STORE/RUN_CLIMATO/lim3_ada     # path of data in NetCDF format
+DIR_CLIMATO=~/idl_PLOTS/CLIMATOLOGIES    # path of climatological data
+DIR_MASK=~//idl_PLOTS/MASK  # path of mask files (ex: subbasins)
 #
 #===================== Model GRID =====================
@@ -55,20 +55,21 @@
 #===================== EXP1 =====================
 #
-FILE1_T=tr33beta_00910101_01001231_1Y_grid_T.nc   # exp1 grid T input file
-FILE1_U=tr33beta_00910101_01001231_1Y_grid_U.nc   # exp1 grid U input file
-FILE1_V=tr33beta_00910101_01001231_1Y_grid_V.nc   # exp1 grid V input file
-FILE1_I=tr33beta_00910101_01001231_1M_icemod.nc   # exp1 ice    input file
-VAR1_T=thetao
-VAR1_S=so
-VAR1_QNET=qt
-VAR1_ERP=wfcorr
-VAR1_EMP=wfo
-VAR1_MLD=mldr10_1
-VAR1_U=uocetr_eff
-VAR1_V=vocetr_eff
-VAR1_Ithick=sit
-VAR1_Ifrac=sic
-VAR1_Isnow=isnowthi
+FILE1_T=500yfwb0_24910101_25001231_1Y_grid_T.nc   # exp1 grid T input file
+FILE1_U=500yfwb0_24910101_25001231_1Y_grid_U.nc   # exp1 grid U input file
+FILE1_V=500yfwb0_24910101_25001231_1Y_grid_V.nc   # exp1 grid V input file
+FILE1_I=500yfwb0_24910101_25001231_1M_icemod.nc   # exp1 ice    input file
+VAR1_T=votemper
+VAR1_S=vosaline
+VAR1_QNET=sohflxdo
+VAR1_ERP=sowafldp
+VAR1_EMP=sowaflup
+VAR1_MLD=somxl010
+VAR1_U=vozoeftr
+VAR1_V=vomeeftr
+VAR1_Ithick=iicethic
+VAR1_Ifrac=iiceconc
+VAR1_Isnow=isnowvol
 VAR1_Isal=iicesali
+VAR1_Iage=iiceages
 #
 #===================== EXP2 =====================
@@ -90,4 +91,5 @@
 VAR2_Isnow=isnowthi
 VAR2_Isal=iicesali
+VAR2_Iage=iiceages
 #
 ######################### Export Variables ###############################
@@ -113,9 +115,9 @@
 export VAR1_T      VAR1_S   VAR1_QNET VAR1_ERP VAR1_EMP VAR1_MLD 
 export VAR1_U      VAR1_V
-export VAR1_Ithick VAR1_Ifrac VAR1_Isnow VAR1_Isal
+export VAR1_Ithick VAR1_Ifrac VAR1_Isnow VAR1_Isal VAR1_Iage
 #===================== EXP2 =====================
 export FILE2_T     FILE2_U    FILE2_V   FILE2_I
 export VAR2_T      VAR2_S     VAR2_QNET VAR2_ERP VAR2_EMP VAR2_MLD 
 export VAR2_U      VAR2_V
-export VAR2_Ithick VAR2_Ifrac VAR2_Isnow VAR2_Isal
+export VAR2_Ithick VAR2_Ifrac VAR2_Isnow VAR2_Isal VAR2_Iage
 #
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh_example2
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh_example2	(revision 4513)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh_example2	(revision 4514)
@@ -21,12 +21,12 @@
 #idl_command=idl71
 #
-PS_DIR=$( pwd )/500yfwb0_ps_plot_500y
-PDF_DIR=$( pwd )/500yfwb0_pdf_plot_500y
+PS_DIR=$( pwd )/ps_plot
+PDF_DIR=$( pwd )/pdf_plot
 HTML_DIR=$( pwd )/html_plot
 SAXO_DIR=/Users/sflod/SAXO_DIR
 #
-DIR_DATA=/Users/sflod/idl_PLOTS/DATA_STORE/RUN_CLIMATO/lim3_ada     # path of data in NetCDF format
-DIR_CLIMATO=/Users/sflod/idl_PLOTS/CLIMATOLOGIES    # path of climatological data
-DIR_MASK=/Users/sflod/idl_PLOTS/MASK  # path of mask files (ex: subbasins)
+DIR_DATA=~/idl_PLOTS/DATA_STORE/RUN_CLIMATO/lim3_ada     # path of data in NetCDF format
+DIR_CLIMATO=~/idl_PLOTS/CLIMATOLOGIES    # path of climatological data
+DIR_MASK=~//idl_PLOTS/MASK  # path of mask files (ex: subbasins)
 #
 #===================== Model GRID =====================
@@ -55,39 +55,41 @@
 #===================== EXP1 =====================
 #
-FILE1_T=tag33_20910101_21001231_1Y_grid_T.nc   # exp1 grid T input file
-FILE1_U=tag33_20910101_21001231_1Y_grid_U.nc   # exp1 grid U input file
-FILE1_V=tag33_20910101_21001231_1Y_grid_V.nc   # exp1 grid V input file
-FILE1_I=tag33_20910101_21001231_1M_icemod.nc   # exp1 ice    input file
-VAR1_T=thetao
-VAR1_S=so
-VAR1_QNET=qt
-VAR1_ERP=wfcorr
-VAR1_EMP=wfo
-VAR1_MLD=mldr10_1
-VAR1_U=uocetr_eff
-VAR1_V=vocetr_eff
-VAR1_Ithick=sit
-VAR1_Ifrac=sic
-VAR1_Isnow=isnowthi
+FILE1_T=500yfwb0_24910101_25001231_1Y_grid_T.nc   # exp1 grid T input file
+FILE1_U=500yfwb0_24910101_25001231_1Y_grid_U.nc   # exp1 grid U input file
+FILE1_V=500yfwb0_24910101_25001231_1Y_grid_V.nc   # exp1 grid V input file
+FILE1_I=500yfwb0_24910101_25001231_1M_icemod.nc   # exp1 ice    input file
+VAR1_T=votemper
+VAR1_S=vosaline
+VAR1_QNET=sohflxdo
+VAR1_ERP=sowafldp
+VAR1_EMP=sowaflup
+VAR1_MLD=somxl010
+VAR1_U=vozoeftr
+VAR1_V=vomeeftr
+VAR1_Ithick=iicethic
+VAR1_Ifrac=iiceconc
+VAR1_Isnow=isnowvol
 VAR1_Isal=iicesali
+VAR1_Iage=iiceages
 #
 #===================== EXP2 =====================
 #
-FILE2_T=tmx_2000_00910101_01001231_1Y_grid_T.nc   # exp1 grid T input file
-FILE2_U=tmx_2000_00910101_01001231_1Y_grid_U.nc   # exp1 grid U input file
-FILE2_V=tmx_2000_00910101_01001231_1Y_grid_V.nc   # exp1 grid V input file
-FILE2_I=tmx_2000_00910101_01001231_1M_icemod.nc   # exp1 ice    input file
-VAR2_T=thetao
-VAR2_S=so
-VAR2_QNET=qns+qsr
-VAR2_ERP=wfcorr
-VAR2_EMP=wfo
-VAR2_MLD=mldr10_1
-VAR2_U=uoce_eff
-VAR2_V=voce_eff
-VAR2_Ithick=sit
-VAR2_Ifrac=sic
-VAR2_Isnow=isnowthi
-VAR2_Isal=iicesali
+FILE1_T=500yfwb0_24910101_25001231_1Y_grid_T.nc   # exp1 grid T input file
+FILE1_U=500yfwb0_24910101_25001231_1Y_grid_U.nc   # exp1 grid U input file
+FILE1_V=500yfwb0_24910101_25001231_1Y_grid_V.nc   # exp1 grid V input file
+FILE1_I=500yfwb0_24910101_25001231_1M_icemod.nc   # exp1 ice    input file
+VAR1_T=votemper
+VAR1_S=vosaline
+VAR1_QNET=sohflxdo
+VAR1_ERP=sowafldp
+VAR1_EMP=sowaflup
+VAR1_MLD=somxl010
+VAR1_U=vozoeftr
+VAR1_V=vomeeftr
+VAR1_Ithick=iicethic
+VAR1_Ifrac=iiceconc
+VAR1_Isnow=isnowvol
+VAR1_Isal=iicesali
+VAR1_Iage=iiceages
 #
 ######################### Export Variables ###############################
@@ -113,9 +115,9 @@
 export VAR1_T      VAR1_S   VAR1_QNET VAR1_ERP VAR1_EMP VAR1_MLD 
 export VAR1_U      VAR1_V
-export VAR1_Ithick VAR1_Ifrac VAR1_Isnow VAR1_Isal
+export VAR1_Ithick VAR1_Ifrac VAR1_Isnow VAR1_Isal VAR1_Iage
 #===================== EXP2 =====================
 export FILE2_T     FILE2_U    FILE2_V   FILE2_I
 export VAR2_T      VAR2_S     VAR2_QNET VAR2_ERP VAR2_EMP VAR2_MLD 
 export VAR2_U      VAR2_V
-export VAR2_Ithick VAR2_Ifrac VAR2_Isnow VAR2_Isal
+export VAR2_Ithick VAR2_Ifrac VAR2_Isnow VAR2_Isal VAR2_Iage
 #
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE_FRAM.pro
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE_FRAM.pro	(revision 4513)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE_FRAM.pro	(revision 4514)
@@ -49,5 +49,6 @@
  ;
  ;OBSERVATIONS : mean seasonal cycle/month
-  vol_obs = [0.261625, 0.230750, 0.325375, 0.252000, 0.172500, 0.0805000, 0.0805000, 0.0805000, 0.0805000, 0.176500, 0.148500, 0.235000]
+ ; vol_obs = [0.261625, 0.230750, 0.325375, 0.252000, 0.172500, 0.0805000, 0.0805000, 0.0805000, 0.0805000, 0.176500, 0.148500, 0.235000]
+  vol_obs = [261.625, 230.750, 325.375, 252.000, 172.500, 80.5000, 80.5000, 80.5000, 80.5000, 176.500, 148.500, 235.000]
   area_obs = [0.103292, 0.0997500, 0.107625, 0.0944167, 0.0612083, 0.0262500, 0.0262500, 0.0262500, 0.0262500, 0.0843750, 0.0914583, 0.104083]
  ;
@@ -80,9 +81,8 @@
   ICE_vol_export = reform(ICE_vol_export, 12, nyr)
   ICE_vol_export = total(ICE_vol_export,2)/nyr
-  ; ICE_vol_export = {arr:ICE_vol_export * 1.e-12 * 86400 * 365 , unit : '10^3 Km^3/year'}      ; annual mean
-  ICE_vol_export = {arr:ICE_vol_export * 1.e-12 * 86400 * 30 , unit : '10^3 Km^3/month'}      ; monthly mean
-
-  ;
-  ;title = 'Northern Hemisphere'+'!C'+prefix+' '+d1_d2+'!C'+'Global Annual Mean Ice Volume (Black SOLID simulation)'
+  ; ICE_vol_export = {arr:ICE_vol_export * 1.e-9 * 86400 * 365 , unit : '10^3 Km^3/year'}      ; annual mean
+  ICE_vol_export = {arr:ICE_vol_export * 1.e-9 * 86400 * 30 , unit : '10^3 Km^3/month'}      ; monthly mean
+
+  ;
   title = 'Fram Strait Areal Export'+'!C'+prefix+' '+d1_d2
   jpt=12
@@ -95,10 +95,10 @@
   tot_area_expo = total(ICE_area_export.arr)
   ;
-  xyouts, julday(6,15,1900), 0.48, 'Tot. Annual Export OBS = 0.851 million Km2', ALIGN = 0, CHARTHICK = 2, CHARSIZE=1, COLOR=2
-  xyouts, julday(6,15,1900), 0.46, 'Tot. Annual Export Model = '+strtrim(tot_area_expo, 1)+' million Km2', ALIGN = 0, CHARTHICK = 2, CHARSIZE=1, COLOR=2
-  xyouts, julday(7,15,1900), 0.42, 'Data from Kwok et al.(2004), 1979-2002 ', ALIGN = 0, CHARTHICK = 2, CHARSIZE=0.8, COLOR=2
-  ;title ='Southern Hemisphere' +'!C'+prefix+' '+d1_d2+' - '+'!C'+'Global Annual Mean Ice Volume (Black SOLID simulation)'
+  xyouts, julday(5,15,1900), 0.49, 'Tot. Annual Export OBS = 0.851 million Km2', ALIGN = 0, CHARTHICK = 2, CHARSIZE=1, COLOR=2
+  xyouts, julday(5,15,1900), 0.46, 'Tot. Annual Export Model = '+strtrim(tot_area_expo, 1)+' million Km2', ALIGN = 0, CHARTHICK = 2, CHARSIZE=1, COLOR=2
+  xyouts, julday(7,15,1900), 0.41, 'Data from Kwok et al.(2004), 1979-2002 ', ALIGN = 0, CHARTHICK = 2, CHARSIZE=0.8, COLOR=2
+  ;
   title = 'Fram Strait Volume Export'+'!C'+prefix+' '+d1_d2
-  pltt, ICE_vol_export, 't',  /REMPLI, MIN = 0., MAX = .6 , /NOERASE, XGRIDSTYLE = 1 $
+  pltt, ICE_vol_export, 't',  /REMPLI, MIN = 60., MAX = 500. , /NOERASE, XGRIDSTYLE = 1 $
        , small = [1, 2, 2], YTITLE = '10^3 Km^3/month', TITLE = title, DATE_FORMAT = '%M', _extra = ex
   pltt, vol_obs, 't', /REMPLI, /NOERASE, psym = 4, THICK = 4  $    ; light blue
@@ -107,8 +107,8 @@
   tot_vol_expo = total(ICE_vol_export.arr)
   tot_vol_expo_Sv = tot_vol_expo * 1.e06 * 1/86400 * 1/365 ; annual mean in Sverdrup
-  xyouts, julday(6,15,1900), 0.48, 'Tot. Annual Export OBS = 2124 Km3/year', ALIGN = 0, CHARTHICK = 2, CHARSIZE=1, COLOR=2
-  xyouts, julday(6,15,1900), 0.46, 'Tot. Annual Export Model = '+strtrim(tot_vol_expo, 1)+' Km3/year', ALIGN = 0, CHARTHICK = 2, CHARSIZE=1, COLOR=2
-  xyouts, julday(9,15,1900), 0.44, 'in Sv = '+strtrim(tot_vol_expo_Sv, 1)+' Sv', ALIGN = 0, CHARTHICK = 2, CHARSIZE=1, COLOR=2
-  xyouts, julday(7,15,1900), 0.38, 'Data from Kwok et al.(2004), 1992-1998 ', ALIGN = 0, CHARTHICK = 2, CHARSIZE=0.8, COLOR=2
+  xyouts, julday(5,15,1900), 490, 'Tot. Annual Export OBS = 2124 10^3 Km3/year', ALIGN = 0, CHARTHICK = 2, CHARSIZE=1, COLOR=2
+  xyouts, julday(5,15,1900), 460, 'Tot. Annual Export Model = '+strtrim(tot_vol_expo, 1)+' 10^3 Km3/year', ALIGN = 0, CHARTHICK = 2, CHARSIZE=1, COLOR=2
+  xyouts, julday(9,15,1900), 440, 'in Sv = '+strtrim(tot_vol_expo_Sv, 1)+' Sv', ALIGN = 0, CHARTHICK = 2, CHARSIZE=1, COLOR=2
+  xyouts, julday(7,15,1900), 360, 'Data from Kwok et al.(2004), 1992-1998 ', ALIGN = 0, CHARTHICK = 2, CHARSIZE=0.8, COLOR=2
 
   htmltxt = [ htmltxt, '<hr>'+blabla, '<br><img width="80%" src='+filename+'.png  />  ' ]
@@ -147,5 +147,5 @@
     ICE_vol_export_2 = total(ICE_vol_export_2,2)/nyr
     ; ICE_vol_export_2 = {arr:ICE_vol_export_2 * 1.e-12 * 86400 * 365 , unit : '10^3 Km^3/year'}     ; annual mean
-    ICE_vol_export_2 = {arr:ICE_vol_export_2 * 1.e-12 * 86400 * 30 , unit : '10^3 Km^3/month'}       ; monthly mean
+    ICE_vol_export_2 = {arr:ICE_vol_export_2 * 1.e-9 * 86400 * 30 , unit : '10^3 Km^3/month'}       ; monthly mean
     ;
     ;
@@ -165,10 +165,11 @@
     tot_area_expo_2 = total(ICE_area_export_2.arr)
     ;
-    xyouts, julday(6,15,1900), 0.48, 'Tot. Annual Export OBS = 0.851 million Km2', ALIGN = 0, CHARTHICK = 2, CHARSIZE=1, COLOR=2
-    xyouts, julday(6,15,1900), 0.46, 'Tot. Annual Export Model 1= '+strtrim(tot_area_expo, 1)+' million Km2', ALIGN = 0, CHARTHICK = 2, CHARSIZE=1, COLOR=2
-    xyouts, julday(6,15,1900), 0.44, 'Tot. Annual Export Model 2= '+strtrim(tot_area_expo_2, 1)+' million Km2', ALIGN = 0, CHARTHICK = 2, CHARSIZE=1, COLOR=2
-    xyouts, julday(7,15,1900), 0.42, 'Data from Kwok et al.(2004), 1979-2002 ', ALIGN = 0, CHARTHICK = 2, CHARSIZE=0.8, COLOR=2
+    xyouts, julday(5,15,1900), 0.49, 'Tot. Annual Export OBS = 0.851 million Km2', ALIGN = 0, CHARTHICK = 2, CHARSIZE=1, COLOR=2
+    xyouts, julday(5,15,1900), 0.46, 'Tot. Annual Export Model 1= '+strtrim(tot_area_expo, 1)+' million Km2', ALIGN = 0, CHARTHICK = 2, CHARSIZE=1, COLOR=2
+    xyouts, julday(5,15,1900), 0.43, 'Tot. Annual Export Model 2= '+strtrim(tot_area_expo_2, 1)+' million Km2', ALIGN = 0, CHARTHICK = 2, CHARSIZE=1, COLOR=2
+    xyouts, julday(7,15,1900), 0.41, 'Data from Kwok et al.(2004), 1979-2002 ', ALIGN = 0, CHARTHICK = 2, CHARSIZE=0.8, COLOR=2
+    ;
     title = 'Fram Strait Volume Export'+'!C'+prefix+' (BLACK) - '+prefix2+' (RED) '+d1_d2_2
-    pltt, ICE_vol_export, 't', /REMPLI,  MIN = 0., MAX = .6, /NOERASE, XGRIDSTYLE = 1 $
+    pltt, ICE_vol_export, 't', /REMPLI,  MIN = 60., MAX = 500., /NOERASE, XGRIDSTYLE = 1 $
         , small = [1, 2, 2], YTITLE = '10^3 Km^3/month', TITLE = title, DATE_FORMAT = '%M', _extra = ex
     pltt, ICE_vol_export_2, 't', /REMPLI, /NOERASE  $
@@ -181,10 +182,10 @@
     tot_vol_expo_Sv = tot_vol_expo * 1.e06 * 1/86400 * 1/365 ; annual mean in Sverdrup
     tot_vol_expo_2_Sv = tot_vol_expo_2 * 1.e06 * 1/86400 * 1/365 ; annual mean in Sverdrup
-    xyouts, julday(6,15,1900), 0.48, 'Tot. Annual Export OBS = 2124 Km3/year', ALIGN = 0, CHARTHICK = 2, CHARSIZE=1, COLOR=2
-    xyouts, julday(6,15,1900), 0.46, 'Tot. Annual Export Model 1 = '+strtrim(tot_vol_expo, 1)+' Km3/year', ALIGN = 0, CHARTHICK = 2, CHARSIZE=1, COLOR=2
-    xyouts, julday(9,15,1900), 0.44, 'in Sv = '+strtrim(tot_vol_expo_Sv, 1)+' Sv', ALIGN = 0, CHARTHICK = 2, CHARSIZE=1, COLOR=2
-    xyouts, julday(6,15,1900), 0.42, 'Tot. Annual Export Model 2 = '+strtrim(tot_vol_expo_2, 1)+' Km3/year', ALIGN = 0, CHARTHICK = 2, CHARSIZE=1, COLOR=2
-    xyouts, julday(9,15,1900), 0.40, 'in Sv = '+strtrim(tot_vol_expo_2_Sv, 1)+' Sv', ALIGN = 0, CHARTHICK = 2, CHARSIZE=1, COLOR=2
-    xyouts, julday(7,15,1900), 0.38, 'Data from Kwok et al.(2004), 1992-1998 ', ALIGN = 0, CHARTHICK = 2, CHARSIZE=0.8, COLOR=2
+    xyouts, julday(5,15,1900), 490, 'Tot. Annual Export OBS = 2124 10^3 Km3/year', ALIGN = 0, CHARTHICK = 2, CHARSIZE=1, COLOR=2
+    xyouts, julday(5,15,1900), 460, 'Tot. Annual Export Model 1 = '+strtrim(tot_vol_expo, 1)+' 10^3 Km3/year', ALIGN = 0, CHARTHICK = 2, CHARSIZE=1, COLOR=2
+    xyouts, julday(9,15,1900), 440, 'in Sv = '+strtrim(tot_vol_expo_Sv, 1)+' Sv', ALIGN = 0, CHARTHICK = 2, CHARSIZE=1, COLOR=2
+    xyouts, julday(5,15,1900), 410, 'Tot. Annual Export Model 2 = '+strtrim(tot_vol_expo_2, 1)+' 10^3 Km3/year', ALIGN = 0, CHARTHICK = 2, CHARSIZE=1, COLOR=2
+    xyouts, julday(9,15,1900), 390, 'in Sv = '+strtrim(tot_vol_expo_2_Sv, 1)+' Sv', ALIGN = 0, CHARTHICK = 2, CHARSIZE=1, COLOR=2
+    xyouts, julday(7,15,1900), 360, 'Data from Kwok et al.(2004), 1992-1998 ', ALIGN = 0, CHARTHICK = 2, CHARSIZE=0.8, COLOR=2
 
     htmltxt = [ htmltxt, '<hr>'+blabla, '<br><img width="80%" src='+filename+'_2.png  />  ' ]
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE_Vel.pro
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE_Vel.pro	(revision 4514)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE_Vel.pro	(revision 4514)
@@ -0,0 +1,125 @@
+function read_arr2d, filename, varname, t1, t2
+;; function that read input file and return 2d array with monthly timecounter 
+nyear = (t2-t1+1)/12
+arr2d = ncdf_lec(filename, VAR=varname)
+arr2d = arr2d[t1:t2]
+arr2d = reform(arr2d,12,nyear) ; put in 2D array
+arr2d = total(arr2d,2)/nyear ; total over 2th dimension (i.e.years)
+
+return, arr2d
+end 
+
+;; here start procedure that use function read_arr2d
+pro std_ts_ICE_Vel, masknp, s_iodir_data,  POSTSCRIPT = postscript, _extra = ex
+
+  compile_opt idl2, strictarrsubs
+  
+@common
+@std_common
+
+; get exp1 info
+  vICE_vel_1 = getenv('VAR1_Ivel')   &   prefix = getenv('V1Iv_PREF')  &   suffix = getenv('V1Iv_SUFF')
+; get exp2 info
+  vICE_vel_2 = getenv('VAR2_Ivel')   &   prefix2 = getenv('V2Iv_PREF')  &  suffix2 = getenv('V2Iv_SUFF')
+
+  cdti3 = string(cnt, format = '(i3.3)')
+  print, cdti3 + ') ' + blabla
+  filename = cdti3 + '_ts_ICE_Vel_'+prefix
+  if prefix NE prefix2 then filename = filename + '_'+prefix2
+  if KEYWORD_SET(postscript) then openps, filename+'.ps', portrait = 1
+;
+  d1_d2 = '('+strtrim(date1, 1)+' - '+strtrim(date2, 1)+')'
+;
+  iodir = std_iodir_data
+  ; ICE Velocity in NORTH Hemisphere
+  domdef, 0, jpi-1, 30, 90, /xindex
+  Velo_N = rseries_ncdf(vICE_vel_1, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec,/nostruct) ;!! warning positive northward
+  
+  ;;;;;; if grossempoyenne is not present dimension of array is not ok: 54   Array[180, 54, 120] 
+  ;;;;;; with the domain dimensions [jpi/nx, jpj/ny, jpk/nz, jpt] = [180/180, 149/50, 31/31, 12]
+  
+  ICE_velo_N = grossemoyenne(Velo_N, 'xy', /integration, mask2d = masknp)
+  help, ICE_velo_N
+  print, 'max ice velo', max(ICE_velo_N)
+  
+  if jpt mod 12 ne 0 then stop
+  nyr=jpt/12.
+  ICE_velo_N = reform(ICE_velo_N, 12, nyr)
+  ICE_velo_N = total(ICE_velo_N,2)/nyr
+  ICE_velo_N = {arr:ICE_velo_N * 1.e-19 * 86400 * 365, unit : 'm/year'}  
+  help, ICE_velo_N
+  print, 'max ice velo', max(ICE_velo_N.arr)
+    
+  ;ICE Velocity in SOUTH Hemisphere
+  domdef, 0, jpi-1, -90, -30, /xindex
+  Velo_S = rseries_ncdf(vICE_vel_1, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec,/nostruct) ;!! warning positive northward
+   
+    
+  title = 'Northern Hemisphere'+'!C'+prefix+' '+d1_d2+'!C'+'Ice Velocity (Black SOLID simulation)'
+  jpt=12
+  time=julday(1,15,1900)+30*lindgen(12)
+  pltt, ICE_velo_N, 't', /REMPLI, /PORTRAIT, MIN = 0., MAX = 60000000. , XGRIDSTYLE = 1 $
+        , small = [1, 2, 1], YTITLE = varunit, TITLE = title, _extra = ex    
+  ;
+  title ='Southern Hemisphere' +'!C'+prefix+' '+d1_d2+' - '+'!C'+'Ice Velocity (Black SOLID simulation)'
+  pltt, Velo_S, 't',  /REMPLI, MIN = 0., MAX =  60000000., /NOERASE, XGRIDSTYLE = 1 $
+       , small = [1, 2, 2], YTITLE = varunit, TITLE = title, _extra = ex
+  ;
+
+  htmltxt = [ htmltxt, '<hr>'+blabla, '<br><img width="80%" src='+filename+'.png  />  ' ]
+  if KEYWORD_SET(postscript) then closeps
+
+  if prefix NE prefix2 then BEGIN
+
+    d1_d2_2 = '('+strtrim(date1_2, 1)+' - '+strtrim(date2_2, 1)+')'
+    tsave = time
+    ; ICE Velocity in NORTH Hemisphere
+    domdef, 0, jpi-1, 30, 90, /xindex
+    Velo_N_2 = rseries_ncdf(vICE_vel_2, date1_2, date2_2, prefix2, suffix2, FIRSTONLY = 1 - allrec,/nostruct)
+    help, Velo_N_2 
+    
+    ;;;;;; if grossempoyenne is not present dimension of array is not ok: 54   Array[180, 54, 120] 
+    ;;;;;; with the domain dimensions [jpi/nx, jpj/ny, jpk/nz, jpt] = [180/180, 149/50, 31/31, 12]
+  
+    ICE_velo_N_2 = grossemoyenne(Velo_N_2, 'xy', /integration, mask2d = masknp)
+    help, ICE_velo_N_2
+    print, 'max ice velo', max(ICE_velo_N_2)
+  
+    if jpt mod 12 ne 0 then stop
+    nyr=jpt/12.
+    ICE_velo_N_2 = reform(ICE_velo_N_2, 12, nyr)
+    ICE_velo_N_2 = total(ICE_velo_N_2,2)/nyr
+    ICE_velo_N_2 = {arr:ICE_velo_N_2 * 86400 * 365, unit : 'm/year'}  
+    help, ICE_velo_N_2
+    print, 'max ice velo', max(ICE_velo_N_2.arr)
+    
+  
+    ;ICE Velocity in SOUTH Hemisphere
+    domdef, 0, jpi-1, -90, -30, /xindex
+    Velo_S_2 = rseries_ncdf(vICE_vel_2, date1_2, date2_2, prefix2, suffix2, FIRSTONLY = 1 - allrec,/nostruct)
+;SF    help, Velo_S_2
+      
+    if KEYWORD_SET(postscript) then openps, filename+'_2.ps', portrait = 1
+
+    title = 'Northern Hemisphere'+'!C'+prefix+' (BLACK) - '+prefix2+' (RED) '+d1_d2_2 +'!C'+'Ice Velocity (BLACK) '
+    pltt, ICE_velo_N , 't', MIN = 0., MAX =  60000000. , date1, date2, /REMPLI, XGRIDSTYLE = 1, window = 2  $
+          , small = [1, 2, 1], YTITLE = varunit, TITLE = title, /noerase, _extra = ex
+    pltt, ICE_velo_N_2, 't', date1, date2, /REMPLI $
+          , /ov1d, color = 250, small = [1, 2, 1], YTITLE = varunit, TITLE = title, /noerase, _extra = ex
+ 
+    title = 'Southern Hemisphere'+'!C'+prefix+' (BLACK) - '+prefix2+' (RED) '+d1_d2_2 +'!C'+'Ice Velocity (BLACK) '
+    pltt, Velo_S , 't', MIN = -.04, MAX = .04, date1, date2, /REMPLI, XGRIDSTYLE = 1 $
+          , small = [1, 2, 2], YTITLE = varunit, TITLE = title, /noerase, _extra = ex
+    pltt, Velo_S_2, 't', date1, date2, /REMPLI $
+         , /ov1d, color = 250, small = [1, 2, 2], YTITLE = varunit, TITLE = title, /noerase, _extra = ex
+
+    htmltxt = [ htmltxt, '<hr>'+blabla, '<br><img width="80%" src='+filename+'_2.png  />  ' ]
+    if KEYWORD_SET(postscript) then closeps
+
+  endif
+
+  domdef
+  
+
+  return
+end
